package org.nakedobjects.nof.reflect.java.annotations;

import org.nakedobjects.applib.annotation.ActionOrder;
import org.nakedobjects.noa.annotations.ActionOrderAnnotation;
import org.nakedobjects.noa.annotations.Annotation;


public class ActionOrderAnnotationFactory extends AbstractAnnotationFactory {

    public ActionOrderAnnotationFactory() {
        super(ActionOrderAnnotation.class);
    }

    public Annotation process(final Class cls) {
        ActionOrder annotation = (ActionOrder) cls.getAnnotation(ActionOrder.class);
        return create(annotation);
    }

    private ActionOrderAnnotation create(ActionOrder annotation) {
        return annotation == null ? null : new ActionOrderAnnotation(annotation.value());
    }

}
