package org.nakedobjects.nof.reflect.java.reflect;

import java.lang.reflect.Method;


public class GeneralControlMethods {

    private final MemberHelper hideMethod;
    private final MemberHelper usableMethod;
    private final Method validMethod1;
    private final Method validMethod2;

    public GeneralControlMethods(MemberHelper hideMethod, MemberHelper unsableMethod, Method validMethod1, Method validMethod2) {
        this.hideMethod = hideMethod;
        this.usableMethod = unsableMethod;
        this.validMethod1 = validMethod1;
        this.validMethod2 = validMethod2;
    }

    public final MemberHelper getusableMethod() {
        return usableMethod;
    }

    public final Method getValidMethod1() {
        return validMethod1;
    }
    
    public Method getValidMethod2() {
        return validMethod2;
    }

    public final MemberHelper getHideMethod() {
        return hideMethod;
    }

}

// Copyright (c) Naked Objects Group Ltd.
