package org.nakedobjects.nof.reflect.java.reflect;

import java.lang.reflect.Method;
import java.util.Collection;

import org.nakedobjects.nof.reflect.peer.MemberIdentifier;


class JavaCollectionStrategy extends AbstractOneToManyStrategy {

    protected ExtensionHolderMutableFieldPeer createPeer(
           final MemberIdentifier identifier,
            final Class elementType,
            final DescriptiveMethods descriptiveMethods,
            final FieldMethods fieldMethods,
            final GeneralControlMethods controlMethods,
            final FieldFlags fieldFlags,
            final MemberSessionMethods sessionMethods,
            final Method clearMethod) {
        return new JavaCollection(identifier, elementType, descriptiveMethods, fieldMethods, controlMethods, fieldFlags,
                clearMethod, sessionMethods);
    }

    public Class getReturnType() {
        return Collection.class;
    }
}
// Copyright (c) Naked Objects Group Ltd.
