package org.nakedobjects.nof.reflect.java.reflect;

import org.nakedobjects.noa.annotations.When;

abstract class MemberFlags {

    private final When isHidden;
    private final When isProtected;

    public MemberFlags(
            final When isHidden,
            final When isProtected) {
        this.isHidden = isHidden;
        this.isProtected = isProtected;
    }

    public When isHidden() {
        return isHidden;
    }

    public When isProtected() {
        return isProtected;
    }

}

// Copyright (c) Naked Objects Group Ltd.
