package org.nakedobjects.nof.reflect.java.value;

import org.nakedobjects.nof.core.adapter.value.AbstractDateAdapter;

import java.util.Date;


public class DateAdapter extends AbstractDateAdapter {
    private org.nakedobjects.applib.value.Date date;

    public DateAdapter() {
        this.date = null;
    }
    
    public DateAdapter(final org.nakedobjects.applib.value.Date date) {
        this.date = date;
    }

    protected void add(int years, int months, int days, int hours, int minutes) {
        date = date.add(years, months, days);
    }

    public void clear() {
        date = null;
    }

    public Date dateValue() {
        return date == null ? null : date.dateValue();
    }

    public Object getObject() {
        return date;
    }

    public Class getValueClass() {
        return org.nakedobjects.applib.value.Date.class;
    }

    public boolean isEmpty() {
        return date == null;
    }

    protected void now() {
        date = new  org.nakedobjects.applib.value.Date();
    }
    
    protected void setDate(Date date) {
        this.date = new org.nakedobjects.applib.value.Date(date);
    }

    public void setValue(final Date date) {
        this.date = new org.nakedobjects.applib.value.Date(date);
    }

    public String toString() {
        return "DateAdapter: " + date;
    }
    
}
// Copyright (c) Naked Objects Group Ltd.
