package org.nakedobjects.nof.reflect.java;

import org.nakedobjects.nof.core.adapter.map.ObjectLoaderImpl;


public class JavaObjectLoader extends ObjectLoaderImpl {

    private JavaDomainObjectContainer container;

    public void initDomainObject(Object domainObject) {
        initDomainObject(domainObject, domainObject.getClass());
    }

    private void initDomainObject(final Object object, final Class cls) {
        Methods.injectContainer(object, cls, container);
        Methods.injectServices(object, cls, getServices());
    }

    public void setDomainContainer(JavaDomainObjectContainer container) {
        this.container = container;
    }

}

// Copyright (c) Naked Objects Group Ltd.
