package org.nakedobjects.nof.reflect.java.annotations;

import java.lang.reflect.Method;

import org.nakedobjects.applib.annotation.When;
import org.nakedobjects.noa.annotations.Annotation;


public abstract class AbstractAnnotationFactory implements AnnotationFactory {

    public AbstractAnnotationFactory(final Class annotationType) {
        this.annotationType = annotationType;
    }

    private Class annotationType;

    public Class getAnnotationType() {
        return annotationType;
    }

    public Annotation process(Class clazz) {
        return null;
    }

    public Annotation process(Method method) {
        return null;
    }

    public Annotation processParams(Method method, int paramNum) {
        return null;
    }

    protected org.nakedobjects.noa.annotations.When decodeWhen(When when) {
        if (when == When.ALWAYS) {
            return org.nakedobjects.noa.annotations.When.ALWAYS;
        }
        if (when == When.ONCE_PERSISTED) {
            return org.nakedobjects.noa.annotations.When.ONCE_PERSISTED;
        }
        if(when == When.UNTIL_PERSISTED) {
            return org.nakedobjects.noa.annotations.When.UNTIL_PERSISTED;
        }
        return org.nakedobjects.noa.annotations.When.NEVER;
    }

}
