package org.nakedobjects.nof.reflect.java.annotations;

import java.lang.reflect.Method;

import org.nakedobjects.nof.reflect.java.reflect.MemberHelper;


public abstract class AnnotationHelper implements MemberHelper {

    private final Method method;

    public Method getMethod() {
        return method;
    }

    private final AnnotationFactorySet annotationFactorySet;

    public AnnotationFactorySet getAnnotationFactorySet() {
        return annotationFactorySet;
    }

    public AnnotationHelper(Method method, AnnotationFactorySet annotationFactorySet) {
        this.method = method;
        this.annotationFactorySet = annotationFactorySet;
    }

    public String toString() {
        return "annotated: " + execute(null);
    }
}

// Copyright (c) Naked Objects Group Ltd.
