package org.nakedobjects.nof.reflect.java.annotations;

import java.lang.reflect.Method;

import org.nakedobjects.applib.annotation.Debug;
import org.nakedobjects.noa.annotations.Annotation;
import org.nakedobjects.noa.annotations.DebugAnnotation;


public class DebugAnnotationFactory extends AbstractAnnotationFactory {

    public DebugAnnotationFactory() {
        super(DebugAnnotation.class);
    }

    public Annotation process(final Method method) {
        Debug annotation = (Debug) method.getAnnotation(Debug.class);
        return create(annotation);
    }

    private DebugAnnotation create(Debug annotation) {
        return annotation == null ? null : new DebugAnnotation();
    }

}
