package org.nakedobjects.nof.reflect.java.reflect;

import org.nakedobjects.noa.annotations.Annotation;


public final class AnnotationUtil {

    private AnnotationUtil(){}
    
    public static void addAnnotation(ExtensionHolderMutable extensionHolder, Annotation annotation) {
        extensionHolder.addExtension(annotation);
    }

    public static void addAnnotations(ExtensionHolderMutable extensionHolder, Annotation[] annotations) {
        for(int i=0; i<annotations.length; i++) {
            addAnnotation(extensionHolder, annotations[i]);
        }
    }

}
