package org.nakedobjects.nof.reflect.java.reflect;

import org.nakedobjects.noa.spec.ExtensionHolder;
import org.nakedobjects.nof.reflect.peer.ActionPeer;

/**
 * Subinterface of {@link ExtensionHolder} implemented by all concrete
 * instances of {@link ActionPeer}, allowing extensions to be
 * added.
 * 
 * <p>
 * This is used by the {@link JavaIntrospector}.
 */
public interface ExtensionHolderMutableActionPeer extends ExtensionHolderMutable, ActionPeer {

    
}
